package xyz.stachel.zombiesutils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.client.rendering.v1.HudLayerRegistrationCallback;
import net.hypixel.modapi.HypixelModAPI;
import net.hypixel.modapi.packet.impl.clientbound.event.ClientboundLocationPacket;
import xyz.stachel.zombiesutils.handlers.Renderer;

public class ZombiesUtilsClient implements ClientModInitializer {
  public static final String MOD_ID = "zombies-utils";
  public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitializeClient() {
    HypixelModAPI.getInstance().subscribeToEventPacket(ClientboundLocationPacket.class);
    //TODO: HypixelModAPI.getInstance().createHandler(ClientboundLocationPacket.class, todo);
    LOGGER.info("initializing...");
    HudLayerRegistrationCallback.EVENT.register(new Renderer());
	}

}
